Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class PATSample

    java.lang.Object
      com.sun.media.sound.PATSample

    public class PATSample

extends java.lang.Object

GUS Sample storage.

Version:
  %I%, %E%
Author:
  Karl Helgason

Field Summary
`int` | `env_attack_offset`
`int` | `env_attack_rate`
`int` | `env_decay_offset`
`int` | `env_decay_rate`
`int` | `env_release1_offset`
`int` | `env_release1_rate`
`int` | `env_release2_offset`
`int` | `env_release2_rate`
`int` | `env_release3_offset`
`int` | `env_release3_rate`
`int` | `env_sustain_offset`
`int` | `env_sustain_rate`
`int` | `fractions`
`int` | `hifreq`
`int` | `loopend`
`int` | `loopstart`
`int` | `lowfreq`
`int` | `pan`
`int` | `rootfreq`
`ModelByteBuffer` | `sampledata`
`int` | `samplerate`
`int` | `sampling_mode`
`int` | `scalefactor`
`int` | `scalefreq`
`int` | `tremolo_depth`
`int` | `tremolo_rate`
`int` | `tremolo_sweep`
`int` | `tune`
`int` | `vibrato_depth`
`int` | `vibrato_rate`
`int` | `vibrato_sweep`
`java.lang.String` | `wavename`

Constructor Summary
`PATSample()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wavename

    public java.lang.String wavename

### fractions

    public int fractions

### loopstart

    public int loopstart

### loopend

    public int loopend

### samplerate

    public int samplerate

### lowfreq

    public int lowfreq

### hifreq

    public int hifreq

### rootfreq

    public int rootfreq

### tune

    public int tune

### pan

    public int pan

### env_attack_rate

    public int env_attack_rate

### env_decay_rate

    public int env_decay_rate

### env_sustain_rate

    public int env_sustain_rate

### env_release1_rate

    public int env_release1_rate

### env_release2_rate

    public int env_release2_rate

### env_release3_rate

    public int env_release3_rate

### env_attack_offset

    public int env_attack_offset

### env_decay_offset

    public int env_decay_offset

### env_sustain_offset

    public int env_sustain_offset

### env_release1_offset

    public int env_release1_offset

### env_release2_offset

    public int env_release2_offset

### env_release3_offset

    public int env_release3_offset

### tremolo_sweep

    public int tremolo_sweep

### tremolo_rate

    public int tremolo_rate

### tremolo_depth

    public int tremolo_depth

### vibrato_sweep

    public int vibrato_sweep

### vibrato_rate

    public int vibrato_rate

### vibrato_depth

    public int vibrato_depth

### sampling_mode

    public int sampling_mode

### scalefreq

    public int scalefreq

### scalefactor

    public int scalefactor

### sampledata

    public ModelByteBuffer sampledata

Constructor Detail

### PATSample

    public PATSample()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD